#ifndef __WINSKINCONFIG_H
#define __WINSKINCONFIG_H

#include <noatun/pref.h>
#include <qwidget.h>

#include "waSkin.h"

class QHBoxLayout;

class WinSkinConfig:public CModule {
    Q_OBJECT 
  public:
    WinSkinConfig(QWidget * parent, WaSkin *waSkin);

    virtual void save();
    virtual void reopen();

  private:
    WaSkin *waSkin;
    QListBox *skin_list;
    QString orig_skin;
    QHBoxLayout *hbox;
};

#endif
